/*
  a basic player
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */





#ifndef _PLAYER_H
#define _PLAYER_H


#include <qapp.h>
#include <qlayout.h>


#include <yafAmplifier/metaPlayer.h>

#include <devices/audioDeviceLinux.h>
#include <devices/multicastDevice.h>



#include <devices/volumeDevice.h>
#include <deviceWidgets/guiVolumeDevice.h>


class GuiPlayer : public QWidget , public MetaPlayer  {
  Q_OBJECT

  MulticastDevice* multicastDevice;
  AudioDevice* audioDevice;
  GuiVolumeDevice* guiVolumeDevice;

 public:
  GuiPlayer();
  ~GuiPlayer();

  void setGenericStreamProducer(GenericStreamProducer* aDecoder);

 protected:
  OutputDevice* getInternalDeviceTree();

  QBoxLayout * b;

};

#endif


  
